%define anolis_release 1

Summary: The libvirt virtualization API python3 binding
Name: libvirt-python
Version: 10.10.0
Release: %{anolis_release}%{?dist}
Source0: https://libvirt.org/sources/python/%{name}-%{version}.tar.gz
Url: https://libvirt.org
License: LGPL-2.1-or-later
BuildRequires: pkgconfig(libvirt) >= 1.0.2
BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-lxml
BuildRequires: python3-setuptools
BuildRequires: gcc

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n python3-libvirt
Summary: The libvirt virtualization API python3 binding
Url: http://libvirt.org
License: LGPLv2+
%{?python_provide:%python_provide python3-libvirt}
Provides: libvirt-python3 = %{version}-%{release}
Obsoletes: libvirt-python3 <= 3.6.0

%description -n python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python 3.x programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n python3-libvirt-doc
Summary: Doc files for python3-libvirt
Requires: python3-libvirt = %{version}-%{release}
BuildArch: noarch

%description -n python3-libvirt-doc
Doc files for python3-libvirt

%prep
%setup -q

# Unset execute bit for example scripts; it can introduce spurious
# RPM dependencies, like /usr/bin/python3
# for the -python3 package
find examples -type f -exec chmod 0644 \{\} \;

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-libvirt
%license COPYING
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*.egg-info

%files -n python3-libvirt-doc
%doc ChangeLog AUTHORS README examples/


%changelog
* Wed Mar 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 10.10.0-1
- Update to 10.10.0 from 9.9.0
- Migrated to SPDX license

* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 9.9.0-2
- Rebuild with python3.11

* Fri Nov 03 2023 Funda Wang <fundawang@yeah.net> - 9.9.0-1
- New versio 9.9.0

* Tue Mar 21 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 9.1.0-1
- init from upstream
